SLAPINDEX(8C)

NAME
slapindex - SLAPD index to LDIF utility

SYNOPSIS
/usr/local/globus/sbin/slapcat [-v] [-c] [-d level] [-b suffix] [-n dbnum] [-f slapd.conf]

DESCRIPTION

Slapindex is used to regenerate slapd(8) indices based upon the current contents of a database. It opens the given database determined by the database number or suffix and updates the indices for all values of all attributes of all entries.

OPTIONS

-v  enable verbose mode.

-c  enable continue (ignore errors) mode.

-d level
    enable debugging messages as defined by the specified level.

-b suffix
    Use the specified suffix to determine which database to generate output for. The -b cannot be used in conjunction with the -n option.

-n dbnum
    Generate output for the dbnum-th database listed in the configuration file. The -n cannot be used in conjunction with the -b option.

-f slapd.conf
    specify an alternative slapd.conf(5) file.

LIMITATIONS
Your slapd(8) should not be running (at least, not in read-write mode) when you do this to ensure consistency of the database.

This command provides ample opportunity for the user to obtain and drink their favorite beverage.

EXAMPLES
To reindex your SLAPD database, give the command:

	/usr/local/globus/sbin/slapindex

SEE ALSO
ldap(3), ldif(5), slapadd(8), ldapadd(1), slapd(8)

"OpenLDAP Administrator's Guide" (http://www.OpenLDAP.org/doc/admin/)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.